<?php
//Plugin Name: Forever Sticky
//Description: Rodyti tik lipnius įrašus pagrindiniame wordpress puslapyje
//Author:      Polyetilen
//Version:     1.0

function forever_sticky_condition ( $where ) { 
	if(is_home()){
		$sticky = get_option('sticky_posts');
		if(count($sticky)>0){
			return $where.' AND wp_posts.ID IN ('.implode(',', $sticky).') ';
		}else{
			return $where;
		}
	}else{
		return $where;
	}
}

add_filter('posts_where', 'forever_sticky_condition'); 
?>